%define module  Sub-Uplevel
%define	name	perl-%{module}
%define version 0.09
%define release 3mdk

Summary: 	%{module} module for perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif

%description 
Apparently run a function in a higher stack frame.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%check
make test

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Sub
%{_mandir}/*/*

%changelog
* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-3mdk 
- better url
- spec cleanup
- don't ship useless empty dirs
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.09-2mdk
- fix buildrequires in a backward compatible way

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.09-1mdk
- 0.95

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-1mdk
- new version
- rpmbuildupdate aware
- no more explicit dependencies, let spec-helper do its job
- make test

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.06-6mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.06-5mdk
- Macrofication
- Use %%make and %%makeinstall
- man path
- perllocal.pod

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-4mdk
- rebuild for new auto{prov,req}

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-3mdk
- rebuild

* Sun Aug 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-2mdk
- fixed missing man pages

* Sat Aug 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-1mdk
- first mdk release
